//Style Import 
@import "./vendor/styles/splitted-css/buttons.scss";
@import "./vendor/styles/splitted-css/card.scss";
@import "./vendor/styles/splitted-css/custom-general.scss";
@import "./vendor/styles/splitted-css/dropdown.scss";
@import "./vendor/styles/splitted-css/filter.scss";
@import "./vendor/styles/splitted-css/flexmonster.scss";
@import "./vendor/styles/splitted-css/fontface.scss";
@import "./vendor/styles/splitted-css/highcharts.scss";
@import "./vendor/styles/splitted-css/leaflet.scss";
@import "./vendor/styles/splitted-css/media-query.scss";
@import "./vendor/styles/splitted-css/modal-tooltip.scss";
@import "./vendor/styles/splitted-css/sidenav.scss";
@import "./vendor/styles/splitted-css/table.scss";
@import "./vendor/styles/splitted-css/icon.scss";
@import "./vendor/styles/splitted-css/token.scss";
@import "./vendor/styles/splitted-css/fullscreen.scss";
@import "./vendor/styles/splitted-css/introjs.scss";

@import "./demo";
// @import url("https://fonts.googleapis.com/css?family=Montserrat:500,700");

// Add/Remove-Material
@import "~@angular/material/prebuilt-themes/deeppurple-amber.css";

.text-cap {
  text-transform: capitalize !important;
}

* {
  font-family: "aktiv";
}

.ngxmdp *,
.mydrp * {
  font-family: "aktiv" !important;
}

@mixin keyframes($name) {
  @-webkit-keyframes #{$name} {
    @content;
  }
  @-moz-keyframes #{$name} {
    @content;
  }
  @keyframes #{$name} {
    @content;
  }
}

.router-transitions {
  opacity: 1;
  transition: opacity 0.2s;

  body.app-loading & {
    opacity: 0.75;
  }
}

// *******************************************************************************

.invalid-feedback {
  color: #eb5757 !important;
}

// Prevent horizontal scrollbar
[dir="rtl"] .dz-hidden-input {
  right: 0 !important;
  left: auto !important;
}

// @import "~ag-grid/dist/styles/ag-grid.css";
// @import "~ag-grid/dist/styles/ag-theme-balham-dark.css";
// @import "../src/vendor/styles/ag-theme-balham-dark.css";

.ag-theme-balham .ag-header-group-cell-label span {
  width: 100%;
  text-align: center;
}

.totalRow {
  font-weight: bold;
  border-top-width: 2px;
  border-top-style: double;
}

.underlineRow {
  border-top-width: 2px;
  border-top-style: double;
}

.boldRow {
  font-weight: bold;
}

/*block ui*/
// karthick hourglss styles
.hourglass-loader {
  margin: 40px auto;
  width: 70px;
  height: 70px;
  position: relative;
}

.clock {
  background: white;
  height: 70px;
  width: 70px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  /*
  margin: auto;*/
  box-shadow: inset 0 0 0 0.1rem #00a4d6;
  flex-direction: column;
  animation: clock 5s ease-in-out infinite;
}

.cup {
  background: #ddd;
  height: 30%;
  width: 30%;
  border-radius: 50% 50% 0 0/ 100% 100% 0 0;
  overflow: hidden;
}

.app-search-siri-container {
  margin-top: 20px !important;
}

.top {
  transform: rotate(180deg);
}

.sand {
  background: #00a4d6;
  height: 150%;
  width: 150%;
  transform-origin: 0% 0%;
  animation: sand 5s linear infinite -2.5s;
}

.delayed {
  animation-delay: 0s;
}

@keyframes clock {
  0% {
    transform: rotate(0deg);
  }
  25%,
  50% {
    transform: rotate(180deg);
  }
  75% {
    transform: rotate(360deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes sand {
  0%,
  100% {
    border-radius: 5%;
    transform: translate(35%, 20%) rotate(45deg);
  }
  15% {
    border-radius: 40%;
    transform: translate(0%, 35%) rotate(-65deg) scale(1.5, 1.5);
  }
  25% {
    border-radius: 20%;
    transform: translate(-15%, 35%) rotate(-90deg) scale(1.2, 1.2);
  }
  50% {
    border-radius: 5%;
    transform: translate(0%, 0%) rotate(-90deg) scale(1, 1);
    opacity: 1;
  }
  50.01%,
  64.99% {
    opacity: 0;
  }
  65% {
    border-radius: 35%;
    transform: translate(20%, 50%) rotate(30deg);
    opacity: 1;
  }
  75% {
    border-radius: 10%;
    transform: translate(35%, 40%) rotate(45deg);
  }
}

hx-entityDocs .export-transparent {
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 999;
}

//home page
.HXsearchPanel {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;

  & h2 {
    font-size: 60px;
    font-weight: bolder;
  }

  & .logo {
    margin-bottom: 25px;
  }

  & ul.navMenu {
    display: inline-flex;
    margin: 0;
    padding: 0;
    list-style: none;
    margin-top: 40px;
  }

  & ul.navMenu li span {
    display: flex;
    align-items: center;
    justify-content: center;
    background: url("assets/img/search/hexabg.png") center no-repeat;
    background-size: 75%;
    width: 80px;
    height: 80px;
  }

  & ul.navMenu li a span img {
    height: 24px;
  }
}

//Karthic hourglass end
.block-ui-white .block-ui-wrapper {
  z-index: 999 !important;
}

.block-ui-white .block-ui-template {
  top: 50%;
}

.ag-pinned-left-header {
  background-color: #202020;
  color: white;
}

.ag-header-container {
  background-color: #202020;
  color: white;
}

.ag-header-cell {
  background-color: #202020;
  color: white;
}

.ag-header-cell-text {
  color: white;
}

.ag-theme-balham .ag-header-cell-label .ag-header-cell-text {
  color: white !important;
  display: block !important;
}

#propdd::after {
  margin-left: 0.5em !important;
  float: right !important;
  margin-top: 1.2% !important;
}

kbd {
  padding: 0.2rem 0.4rem;
  font-size: 87.5%;
  color: black !important;
  background-color: white !important;
  border-radius: 0.25rem;
}

/* in-flight clone */
.gu-mirror {
  position: fixed !important;
  margin: 0 !important;
  z-index: 9999 !important;
  opacity: 0.8;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
  filter: alpha(opacity=80);
  pointer-events: none;
}

/* high-performance display:none; helper */
.gu-hide {
  left: -9999px !important;
}

.view-height-small {
  height: 30vh;
}

.view-height-medium {
  height: 50vh;
}

.view-height-large {
  height: 70vh;
}

.emptyDiv {
  text-align: center;
  width: 100%;
  height: 100%;
}

.emptyDashboardImg {
  margin-top: 10%;
}

.emptyDashboardContent1 {
  color: #fff;
  font-size: 17px;
  margin: -45px 5px 0px 0px;
}

// USER-EDIT
.edit-material {
  margin: 0.6rem !important;
}

// USER-EDIT

.mesure {
  color: #a9c867;
}

.dim {
  color: #e17000;
}

.login .login-logo-1 {
  width: 100px;
}

.main-head h3 {
  padding: 0;
  margin: 0;
  font-size: 1.5em;
}

.col-title h5 {
  color: #424242;
  margin: 5px 0 5px 0;
}

.row-one,
.row-two,
.row-three {
  display: -webkit-box;
}

.main-head {
  width: 100%;
}

.col-title {
  width: 50%;
}

// TEST FILTER Entity style
//pivot chart color change
//Date picker style override
.ngxmdp .selectorarrow {
  -webkit-box-shadow: 2px 1px 5px -4px rgba(0, 0, 0, 0.66) !important;
  box-shadow: 2px 1px 5px -4px rgba(0, 0, 0, 0.66) !important;
}

.cust-on-right .ngxmdp .selectorarrow {
  -webkit-box-shadow: -2px 1px 5px -2px rgba(0, 0, 0, 0.66);
  box-shadow: -2px 1px 5px -2px rgba(0, 0, 0, 0.66);
}

.ngxmdp .daycell {
  line-height: 1.5 !important;
}

.bg-navbar-theme {
  height: 80px;
}

//Date Range picker styles override

.mydrp .selecteddaybegin,
.mydrp .selecteddayend {
  border-radius: 0 !important;
  padding: 4px;
}

.mydrp .selectorarrow:after {
  border-width: 12px !important;
  margin-left: -12px !important;
}

.mydrp .selectorarrow {
  border: none !important;

  -webkit-box-shadow: 0px 0px 23px -1px rgba(0, 0, 0, 0.66) !important;
  -moz-box-shadow: 0px 0px 23px -1px rgba(0, 0, 0, 0.66) !important;
  box-shadow: 0px 0px 23px -1px rgba(0, 0, 0, 0.66) !important;
}

.selection.ng-pristine.ng-valid.ng-touched::placeholder {
  color: #cccccc !important;
}

.mydrp,
.mydrp .headerclearbtn,
.mydrp .headerokbtn {
  border: none;
}

.mydrp .titleareatxt {
  height: 36px !important;
  line-height: 38px !important;
  border: none !important;
}

.mydrp .header,
.mydrp .titlearea,
.mydrp .titleareatxt {
  border-radius: 0px 0px 0 0 !important;
}

.date-pick-material {
  padding-top: 0px;
  float: right;
  height: auto;
  margin-right: 10px;
  min-width: 10vw;
}

.entity-group.date-pick-material {
  padding-top: inherit;
  height: 35px;
  margin-right: 0 !important;
}

.entity-group-1.date-pick-material {
  padding-top: inherit;
  height: 35px;
  width: auto !important;
  margin-right: 0 !important;
}

.ngxmdp .selector {
  right: 12px !important;
}

hx-entity1 .ngxmdp .selector {
  right: -152px !important;
  top: 45px !important;
}

hx-flow .ngxmdp .selector {
  right: -30px !important;
}

.ngxmdp .selectorarrow {
  left: auto !important;
  background: #FFF !important;
}

.mydrp .selectiongroup {
  background: transparent !important;
}

.ngxmdp .selectorarrow {
  left: auto !important;
}

.pick-form:focus {
  border: none;
}

.ion-md-calendar {
  color: #e4e4e4;
}

.list-group-item {
  padding: 0.5rem 0.5rem;
}

input[type="date"]::-webkit-calendar-picker-indicator {
  color: rgba(0, 0, 0, 0);
  opacity: 1;
  display: block;
  border-width: thin;
  background: url(./assets/img/uikit/calendar.png) no-repeat;
  margin-left: 5px;
  width: 15px;
  height: 15px;
}

input[type="date"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  display: none;
}

.right-top-info {
  padding-right: calc(0px + 50px);
  padding-top: 5px;
}

hx-dashboard .right-top-info {
  padding-right: calc(0px + 55px);
}

hx-home .escap-back {
  right: -10px;
}

.favorite {
  font-size: initial;
}

.hide_container {
  opacity: 0;
}

.staticGFContainer {
  position: absolute;
  bottom: 0px;
  margin-bottom: -19px;
  width: 100%;
}

.cust_calendar_items .nav-tabs .nav-link {
  padding: 0.4rem 1rem !important;
  font-size: 10px !important;
}

.float-right {
  margin-right: 0;
}

.rounded-circle {
  animation: pulse 2s linear 1s infinite;
  -webkit-animation: pulse 2s linear 1s infinite;
}

.clr-1 {
  color: #777;
  border-bottom: 3px solid #007632;
  border-radius: 0 0 0.18rem 0.18rem;

  .stock_value {
    color: #007632;
  }
}

.clr-2 {
  color: #777;
  border-bottom: 3px solid #a70000;
  border-radius: 0 0 0.18rem 0.18rem;

  .stock_value {
    color: #a70000;
  }
}

.clr-3 {
  color: #777;
  border-bottom: 3px solid #e17002;
  border-radius: 0 0 0.18rem 0.18rem;

  .stock_value {
    color: #e17002;
  }
}

// ******************PIVOT CHART VIEW HEADER******************

// MEASURELIST
#mob-slide {
  display: none;
  position: absolute;
  right: 0px;
  z-index: 1024 !important;
  top: 20%;
  width: 100%;
}

.form-material {
  padding: 4px 0px 4px 10px;
  min-height: 0;
}

.toggle-list img {
  position: relative;
  left: 8px;
}

.toggle-list {
  background: transparent;
  border: none;
  color: #fff;
  text-align: right;
  position: absolute;
  right: 0;
  z-index: 99;
}

.list-group .list-group-item span {
  cursor: pointer;
  min-width: 25px;
  text-overflow: ellipsis;
  white-space: initial;
  overflow: hidden;
}

// MEASURELIST

// ADD/REMOVE COLUM ROW SPLIT
.list-row-split {
  height: auto !important;
  overflow: hidden;
}

.list-row-split ul {
  height: 19vh;
  overflow: auto;
  margin: 0.5em;
  border: 1px solid #e7e7e7;
  border-radius: 5px;
}

// ADD/REMOVE COLUM ROW SPLIT

.menu-md {
  font-size: 16px;
  height: 60px !important;
  font-weight: 300;
}

.item-result {
  font-size: 1em !important;
}

.stock_value {
  font-size: 0.8em;
}

.hr-view {
  display: flex;
}

.report-view {
  max-width: 100%;
}

.title-heading-material h6 {
  font-size: 1.4em;
}

.pb-sm-5,
.py-sm-5 {
  padding-bottom: 1rem !important;
}

.display-4 {
  font-size: 2.5rem !important;
}

.tile-info {
  text-align: left;
  margin-left: 0.5rem !important;
  width: 100%;
}

.rgt-pivot {
  text-align: right !important;
  width: 100%;
}

.pivot-full-view {
  position: absolute;
  top: 0.9em;
  right: 10px;
}

// SVG Pivot

.fl-left h4 {
  color: #9b9b9b;
  margin: 0em 0.6em 0 0;
}

.elements-hide-mob {
  z-index: 9;
}

.mainhead-mobile-view {
  display: none;
}

.swal2-popup .swal2-content {
  overflow-y: auto;
  max-height: 500px;
  overflow-x: auto;
  max-width: 100%;
}

.tile-heading {
  display: flex;
  width: 100%;
}

.tile-unpin {
  margin-right: 0.5rem;
  position: absolute;
  right: 10px;
  z-index: 9;
  top: 10px;
}

.select_all {
  float: right;
  color: rgb(31, 31, 31);
  margin: 5px 0 0 0;
}

.empty-data-bg {
  text-align: center;
  height: 380px;
}

.alptyAlertImg {
  margin-top: 0 !important;
}

.colum-inner-style {
  border-top: 1px solid rgb(56, 56, 56);
  border-bottom: 1px solid rgb(56, 56, 56);
  padding: 5px 0 15px 0;
}

.row-header {
  margin: 0 0 0 0;
}

.entity-scroll-view {
  overflow-y: hidden;
  overflow-x: auto;
  flex-wrap: nowrap;
  display: -webkit-box;
}

.entity-filter {
  background: transparent;
  border: none;
}


// ALERT MODEL FIXED UI
.model-body-fixed {
  max-height: 31rem;
  overflow: hidden;
  overflow-y: auto;
  height: 31rem;
}

.model-body-height {
  height: calc(100vh - 250px);
  max-height: 30rem;
  overflow: hidden;
  overflow-y: auto;
}

.create-model-body {
  height: calc(100vh - 250px);
  overflow: hidden;
  overflow-y: auto;
  max-height: 30rem;
}

.form-content {
  overflow: hidden;
  overflow-y: auto;
  height: 23rem;
  max-height: 25rem;
}

.alert-model-footer {
  position: absolute;
  background: rgb(255, 255, 255);
  right: 0;
  width: 100%;
  bottom: 5px;
}

// ALERT MODEL FIXED UI

.head-only {
  font-family: "worksans" !important;
  font-size: 30px;
  letter-spacing: -0.03em;
}

.lft-side-elements {
  margin: 4px 0px 0px 0px;
}

.custom-mobile-grid-1,
.custom-mobile-grid-2 {
  margin: 0;
}

.d-block.ion-ios-save {
  line-height: 2em;
}

#gf-grid {
  margin: auto;
}

.tab-material thead th,
.tab-material td {
  border: 1px solid rgb(216, 216, 216) !important;
}

.row-con-fil {
  margin: 0 0 0 0;
  padding: 0 1.3em 1.3em 1.3em;
}

.condition-mob {
  white-space: nowrap;
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  overflow: hidden;
}

.ion-theme-bg,
.ion-theme-bg:hover {
  background: none;
}

.ion-theme-bg:focus {
  box-shadow: none;
  border: none;
}

.date-range-message {
  width: 100%;
  text-align: right;
  margin: -43px 15rem 0 0;
}

.vertical-middle {
  width: 100%;
  text-align: right;
  margin: -37px 335px 0 0;
}

.float-right.full-view-mobile {
  margin: 0;
  padding: 0px 1px 0px 4px;
}

.escap-back {
  position: absolute;
  z-index: 9;
  padding: 0.8rem !important;
  right: -17px;
  top: -13px;
}

.form-label,
.custom-control-label {
  line-height: initial;
  font-size: 14px;
}

.custom-control-label {
  line-height: initial;
  font-size: 14px;
  top: 0px !important;
}

.bg-well .elements-hide-mob {
  z-index: 10;
}

.swal2-container {
  z-index: 1100 !important;
}

body {
  -webkit-user-select: none !important; /* disable selection/Copy of UIWebView */
  -webkit-touch-callout: none; /* disable the IOS popup when long-press on a link */
}


// swalpopup
.swal2-popup .swal2-header {
  display: block !important;
}

.swal2-popup .swal2-title {
  font-size: 1.2em !important;
  display: inherit !important;
}

.swal2-popup #swal2-content {
  font-size: 0.8em !important;
  // text-align: left !important;
}

// swalpopup

.et_date {
  display: inline-block;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

.title-main {
  max-width: 75%;
  display: inline-block;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}

/*Export PivotGrid while on reportFilterConfig. But it's not used and handled in another way*/

#pdfPivotHTMLCont .cell {
  background-color: rgb(255, 255, 255) !important;
}

#pdfPivotHTMLCont .grid {
  color: rgb(14, 14, 14) !important;
}

/*Export PivotGrid*/
.small_etl .etl-text {
  display: none;
}

.zindex1080 {
  z-index: 1071;
}

.block-ui-zindex .block-ui-wrapper {
  z-index: 1000 !important;
}

.popover {
  width: 175px;
  background-color: #444 !important;
  will-change: auto !important;
}

.bs-popover-bottom .arrow::after,
.bs-popover-auto[x-placement^="bottom"] .arrow::after {
  border-bottom-color: #444 !important;
}

.popover-header {
  color: #fff !important;
  border-bottom: 1px solid #aaa !important;
}

.popover-body {
  color: #fff !important;
}

.option-capitalize {
  text-transform: capitalize;
}

//popover next line
.popover-body {
  white-space: pre-line;
}

.overlay_popup {
  position: absolute;
  z-index: 10;
  padding: 5px;
  width: 100%;
  background: rgba(0, 147, 245, 0.9);
  // font-weight: bold;
  text-align: center;
}

.highlight_on_date_out {
  border: 1px solid #c63c3c !important;
}

.disabled-pivot-tools {
  pointer-events: none;
  // fill: #e6eeef !important;
  opacity: 0.3;
}

.disabled-pivot-tools i {
  pointer-events: none;
  // color: #e6eeef !important;
}

.pt-150 {
  padding-top: 150px;
}

img.login-logo {
  max-height: 42px;
  cursor: pointer;
}

.login.login-logo {
  max-height: inherit;
}

.custom-files {
  width: 100%;
  flex-wrap: wrap;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.lft-rgt {
  margin-left: 13px;
  margin-right: 13px;
}

.navbar-nav .nav-link {
  color: black;
}

ng-select.data_source_select > div > div.single > div.value {
  padding: 0.275rem 0.875rem !important;
}

ng-select.data_source_select > div > div.single > div.value {
  line-height: 20px !important;
}

.instruction-overlay {
  position: fixed;
  left: 0;
  top: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(10, 10, 10, 0.6);
  z-index: 100000;
}

.inner-content {
  background-repeat: no-repeat !important;
  background-size: 80% !important;
  background-position: center center !important;
  width: 100%;
  height: 100%;
}

/// *************************************************MOBILE APP LOGIN SCREEN************************************************* //
.banner-typo {
  font-size: 12vw;
  color: #fff !important;
  text-shadow: 0px 1px 8px #000;
}

.banner-typo-sm {
  color: #fff !important;
  text-shadow: 0px 1px 8px #000;
}

.header-top {
  padding: 2rem 0 1rem 0;
  height: 40vh;
}

.footer-space {
  height: 60vh;
}

/// *************************************************MOBILE APP LOGIN SCREEN************************************************* //

// LOGIN PAGE WEB IPAD*****************
.banner-web-typo {
  font-size: 6.5rem;
  color: #fff !important;
  text-shadow: 0px 1px 8px #000;
}

.banner-web-typo-sm {
  color: #fff !important;
  text-shadow: 0px 1px 8px #000;
  font-size: 12px;
}

// LOGIN PAGE WEB IPAD*****************

// Filter Model for Mobile (Tab menu)
.row-three .nav-item {
  width: 50%;
  text-align: center;
}

.row-three .nav-tabs {
  margin-top: 1rem;
}

.row-three .tab-content {
  border: 0;
}

.engine-outline-control {
  position: fixed;
  right: 12px;
  z-index: 99;
  width: 450px;
  top: 120px;
  background: #fff;
  border-radius: 8px;
  box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;
  max-height: calc(100vh - 150px);
  overflow: auto;
}

// *******************************************************************************
// * Modal animations

@include keyframes(ngModalBackdropAnimation) {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 0.5;
  }
}

@include keyframes(ngMaterialModalBackdropAnimation) {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 0.2;
  }
}

@include keyframes(ngDefaultModalAnimation) {
  0% {
    opacity: 0;
    transform: translateY(150px) scale(0.8);
  }
  100% {
    opacity: 1;
    transform: translateY(0) scale(1);
  }
}

@include keyframes(ngTopModalAnimation) {
  0% {
    opacity: 0;
    transform: translateY(-100%);
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

@include keyframes(ngSlideModalAnimation) {
  0% {
    opacity: 0;
    transform: translateX(100%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

@include keyframes(ngRtlSlideModalAnimation) {
  0% {
    opacity: 0;
    transform: translateX(-100%);
  }
  100% {
    opacity: 1;
    transform: translateX(0);
  }
}

@include keyframes(ngFillInModalAnimation) {
  0% {
    opacity: 0;
    transform: scale(0.5, 0.5);
  }
  100% {
    opacity: 1;
    transform: scale(1, 1);
  }
}

ngb-modal-window {
  &.modal .modal-dialog {
    animation: ngDefaultModalAnimation 0.15s ease-out;
  }

  &.modal-top .modal-dialog {
    animation: ngTopModalAnimation 0.15s ease-out;
  }

  &.modal-slide .modal-dialog {
    animation: ngSlideModalAnimation 0.15s ease-out;
  }

  &.modal-fill-in .modal-dialog {
    animation: ngFillInModalAnimation 0.15s ease-out;
  }

  [dir="rtl"] &.modal-slide .modal-dialog {
    animation: ngRtlSlideModalAnimation 0.15s ease-out;
  }
}

ngb-modal-backdrop.modal-backdrop {
  opacity: 0.5;
  animation: ngModalBackdropAnimation 0.15s ease-out;
}

.material-style ngb-modal-backdrop.modal-backdrop {
  opacity: 0.2;
  animation: ngMaterialModalBackdropAnimation 0.15s ease-out;
}

.modal-elg .modal-dialog {
  width: 100% !important;
  height: 100% !important;
  min-height: 100% !important;
  min-width: 100% !important;
  margin: 0 !important;
  padding: 0 !important;
}

.modal-xlg .modal-content {
  height: auto !important;
  // min-height: 60% !important;
  min-width: 60% !important;
  border-radius: 4px !important;
  background: #ffffff !important;
}

.modal-xlg .modal-dialog {
  width: 60% !important;
  // height: 60% !important;
  // min-height: 60% !important;
  min-width: 60% !important;
}

.modal-sm .modal-content {
  height: auto !important;
  // min-height: 60% !important;
  min-width: 40% !important;
  border-radius: 4px !important;
  background: #ffffff !important;
}

.modal-sm .modal-dialog {
  width: 40% !important;
  // height: 60% !important;
  // min-height: 60% !important;
  min-width: 40% !important;
}

.modal-elg .modal-content {
  height: auto !important;
  min-height: 100% !important;
  min-width: 100% !important;
  border-radius: 0 !important;
  background: rgba(0, 0, 0, 0.9);
}

.modal-elg .fade-scale {
  transform: scale(0);
  opacity: 0;
  -webkit-transition: all 0.45s linear;
  -o-transition: all 0.45s linear;
  transition: all 0.45s linear;
}

.modal-elg .fade-scale.in {
  opacity: 1;
  transform: scale(1);
}

.modal-elg b,
.modal-elg strong {
  font-weight: normal !important;
}

.modal-title {
  font-size: 18px;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
  max-width: 95%;
}

.pivot-table-dialog .modal-title,
.pivot-table-dialog .close {
  color: #fff;
}

//engine rightsidebar
.engine-right .modal-content {
  display: block !important;
  padding-top: 0px !important;
  padding-bottom: 0px !important;
  border-radius: 0px !important;
}

.engine-right .modal-content {
  overflow: hidden !important;
}

// * Tooltip and popover animations
body {
  font-size: 12px;
}

@include keyframes(ngTooltipAnimation) {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

ngb-tooltip-window {
  animation: ngTooltipAnimation 0.25s;
  will-change: auto !important;
}

.outline_move_top .engine-outline-control {
  animation: myfirst 1s 1;
  top: 60px !important;
  max-height: calc(100vh - 95px);
}

@keyframes myfirst {
  0% {
    top: 120px;
  }
  100% {
    top: 60px;
  }
}

.custom-multiselect-top-dropdown.customsegmentationType .btn-primary {
  width: 150px !important;
}

.mt-17 {
  margin-top: 17px;
}

.fixed_top_filter1 img {
  cursor: pointer;
}

.fm-ui-element .fm-sheet-canvas {
  // height: 410px !important;
}

#engine_comp ngb-tabset li a {
  padding-bottom: 0 !important;
  margin-bottom: -1px !important;
}

.filter-popup-div {
  .loader-container {
    background-color: rgba(255, 255, 255, 0.8);
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 1;
  }

  .filter-list {
    width: 100% !important;
    border: 1px solid #e7e7e7;
    border-radius: 7px;

    ul {
      border: none !important;
    }
  }

  .list-group {
    border: none;
  }

  .list-group-item {
    border: 1px solid #e7e7e7;
  }
}

// For Custom Segment Report Filters Start
// .ui-blocker{  
//   overflow: hidden;
//   float: left;
//   min-width: 100%;
//   bottom: 0;
//   position: inherit;
//   display: block;
//   opacity: 0.5;
//   background: #fff;
//   z-index: 9999;
//   left: 0;
//   top: 0;
// }
// For Custom Segment Report Filters End
.pop_chart {
  .popover {
    top: -5px !important;
  }
}

.e-height .pivot_filter .fm-ng-wrapper {
  height: 380px !important;
}

.n-height .pivot_filter .fm-ng-wrapper {
  height: 432px !important;
}

.price-tr .popover {
  width: auto !important;
  max-width: 325px !important;
}

// Fullscreen for engines and dashboard Start
.engine_fullscreen {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #fff;
  z-index: 1088;
}

.engine_fullscreen .fm-ng-wrapper {
  height: calc(100vh - 70px) !important;
}

.engine_fullscreen.entity_container {

  #isHighChartView_true .fm-ng-wrapper {
    height: 50px !important;
  }
  #isHighChartView_true.is_map_view  .fm-ng-wrapper{
    height: 0px !important;
  }

  #isHighChartView_false .fm-ng-wrapper {
    height: calc(100vh - 90px) !important;
  }

  #isHighChartView_true .hc_div {
    height: calc(100vh - 138px) !important;
  }
}

.engine_fullscreen .entity1_container {
  #dashboard_full_screen_true .fm-ng-wrapper {
    height: calc(100vh - 114px) !important;
  }

  .fm-ng-wrapper {
    height: calc(100vh - 60px) !important;
  }
}

.engine_fullscreen .entity1_container.highChartView {
  .fm-ng-wrapper {
    height: 0px !important;
  }

  .hc_div {
    height: calc(100vh - 53px) !important;
  }

  .loader-wrapper {
    height: auto;
  }
}

#full_screen_true .fm-ng-wrapper {
  height: calc(100vh - 116px) !important;
}

.check_pivot_height_true {
  height: 0 !important;
}

#full_screen_true block-ui-content .block-ui-wrapper {
  position: fixed !important;
  left: 0;
  top: 0;
}

// Fullscreen for engines and dashboard End
.height-90vh {
  height: 90vh !important;
}

// #fm-pivot-view .fm-grid-layout div.fm-scroll-pane {
//   overflow: auto !important;
// }

.h-58px {
  height: 58px !important;
}


.border-radius-0{
  border-radius: 0px;
}

.custom-fullscreen-close {
  position: absolute;
  z-index: 999;
  top: -55px;
  border-bottom: 4px solid #999;
  text-align: center;
  font-size: 2.5em;
  color: #969696;
  left: 49%;
  height: 60px;
  cursor: pointer;
  -webkit-transition: all .5s ease;
  transition: all .5s ease;
}
.custom-fullscreen-close .fav-close {
  background: hsla(0,0%,69.4%,.35);
  border-radius: 50%;
  position: relative;
  top: 0;
  -webkit-transition-duration: 1s;
  transition-duration: 1s;
  padding: 4px;
  font-size: 1em;
}
.custom-fullscreen-close:hover {
  color: #969696;
  border-bottom: none;
  top: 0;
}
app-home .custom-fullscreen-close{
    display: block;
  }
  .v-align-top{
    vertical-align: top;

}

.hide_pivot_grid_discount_behavior {
  opacity: 0;
  height: 0 !important;
}
